Bug 1865509 - srm-ifce: FTBFS in Fedora rawhide/f33
Summary: srm-ifce: FTBFS in Fedora rawhide/f33
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: srm-ifce
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS 1852036 1859821
TreeView+ depends on / blocked
 
Reported: 2020-08-03 21:12 UTC by Fedora Release Engineering
Modified: 2020-08-25 16:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-25 16:29:49 UTC
Type: ---


Attachments (Terms of Use)
build.log (13.09 KB, text/plain)
2020-08-03 21:12 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-08-03 21:12 UTC, Fedora Release Engineering
no flags Details
state.log (981 bytes, text/plain)
2020-08-03 21:12 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-08-03 21:12:05 UTC
srm-ifce failed to build from source in Fedora rawhide/f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=48360130


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
Please fix srm-ifce at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
srm-ifce will be orphaned. Before branching of Fedora 34,
srm-ifce will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-08-03 21:12:07 UTC
Created attachment 1709690 [details]
build.log

Comment 2 Fedora Release Engineering 2020-08-03 21:12:08 UTC
Created attachment 1709691 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-08-03 21:12:09 UTC
Created attachment 1709692 [details]
state.log

Comment 4 Ben Cotton 2020-08-11 15:11:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Mattias Ellert 2020-08-11 20:50:13 UTC
The package failed to build during the F33 mass rebuild, because its spec file was not adapted to the new %cmake macros in Fedora 33+.

Comment 6 Mattias Ellert 2020-08-12 06:07:27 UTC
This version works for Fedora 31+ and EPEL 8:

diff --git a/srm-ifce.spec b/srm-ifce.spec
index 3a1c479..2a70acd 100644
--- a/srm-ifce.spec
+++ b/srm-ifce.spec
@@ -1,5 +1,4 @@
-# unversionned doc dir F20 change https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
-%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
+%undefine __cmake_in_source_build
 
 Name:          srm-ifce
 Version:       1.24.3
@@ -44,12 +43,11 @@ the srm-ifce.
 %setup -q
 
 %build
-%cmake -D DOC_INSTALL_DIR=%{_pkgdocdir} .
-make %{?_smp_mflags}
+%cmake -D DOC_INSTALL_DIR=%{_pkgdocdir}
+%cmake_build
 
 %install
-rm -rf $RPM_BUILD_ROOT
-make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install
+%cmake_install
 
 %ldconfig_scriptlets
 


This version works for Fedora 31+, EPEL 7 and EPEL 8:

diff --git a/srm-ifce.spec b/srm-ifce.spec
index 3a1c479..93d5712 100644
--- a/srm-ifce.spec
+++ b/srm-ifce.spec
@@ -1,5 +1,5 @@
-# unversionned doc dir F20 change https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
-%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
+%undefine __cmake_in_source_build
+%undefine __cmake3_in_source_build
 
 Name:          srm-ifce
 Version:       1.24.3
@@ -16,7 +16,7 @@ Source0:      %{name}-%{version}.tar.gz
 
 BuildRequires:  gcc
 BuildRequires:  gcc-c++
-BuildRequires: cmake
+BuildRequires: cmake3
 BuildRequires: CGSI-gSOAP-devel >= 1.3.6
 BuildRequires: glib2-devel
 BuildRequires: globus-ftp-client-devel
@@ -44,12 +44,11 @@ the srm-ifce.
 %setup -q
 
 %build
-%cmake -D DOC_INSTALL_DIR=%{_pkgdocdir} .
-make %{?_smp_mflags}
+%cmake3 -D DOC_INSTALL_DIR=%{_pkgdocdir}
+%cmake3_build
 
 %install
-rm -rf $RPM_BUILD_ROOT
-make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install
+%cmake3_install
 
 %ldconfig_scriptlets

Comment 7 Andrea 2020-08-25 16:29:49 UTC
new build pushed to testing https://bodhi.fedoraproject.org/updates/FEDORA-2020-5148a1aa49


Note You need to log in before you can comment on or make changes to this bug.